<HTML>

<HEAD></HEAD>

<BODY>
<script type="text/javascript">
function goOne()
  {
  let url=document.getElementById('urlString').value;
  let promo =getData(url);
  promo.then(response=>{
    let str='Status '+response.status+'<BR>';
    str+='Headers '+response.headers.get('Content-Type')+'<BR>';
    str+='Responce type '+response.type;
    document.getElementById('outPut').innerHTML=str;
    return response.json();
   })
  .then(data=> {
    
    document.getElementById('outPut2').innerHTML=JSON.stringify(data);
  })
  .catch ( err => { console.log(err);});
return;            
}
     
        
    function getData(url)
        {
        return fetch(url);    
        }
        
    </script>
    Url for query:<input type='text' size='20' value='http://localhost:3001/users' id='urlString'>
    <input type='button' value='Get data from url' id='getDataButton' onClick='goOne()'>
    <div id='outPut'></div>
    <div id='outPut2'></div>

</BODY>

</HTML>
